"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WORKSPACE_ROOT_PACKAGE_JSON = exports.WORKSPACE_PACKAGE_JSON = exports.REACT_TEMPLATE_DEPENDENCIES = exports.REACT_PACKAGE_SCRIPTS = exports.BASE_PACKAGE_SCRIPTS = exports.TSCONFIG_JSON = exports.PACKAGE_JSON = void 0;
var tslib_1 = require("tslib");
var package_json_1 = (0, tslib_1.__importDefault)(require("../../../package.json"));
exports.PACKAGE_JSON = 'package.json';
exports.TSCONFIG_JSON = 'tsconfig.json';
exports.BASE_PACKAGE_SCRIPTS = {
    start: 'monoreact watch',
    build: 'monoreact build',
    test: 'monoreact test --passWithNoTests',
    lint: 'monoreact lint "src/**/*.{js,jsx,ts,tsx}"',
    prepublishOnly: 'yarn build'
};
exports.REACT_PACKAGE_SCRIPTS = (0, tslib_1.__assign)((0, tslib_1.__assign)({}, exports.BASE_PACKAGE_SCRIPTS), { stylelint: 'npx stylelint "src/**/*.{css,sass,scss}"' });
exports.REACT_TEMPLATE_DEPENDENCIES = {
    peerDependencies: {
        react: '*'
    }
};
exports.WORKSPACE_PACKAGE_JSON = {
    name: undefined,
    author: undefined,
    workspace: true,
    private: false,
    version: '0.1.0',
    main: 'dist/bundle.cjs.js',
    module: 'dist/bundle.js',
    types: 'dist/publicApi.d.ts',
    source: 'src/publicApi.ts',
    publishConfig: {
        access: 'public'
    }
};
exports.WORKSPACE_ROOT_PACKAGE_JSON = {
    name: undefined,
    author: undefined,
    version: '0.1.0',
    private: true,
    license: 'MIT',
    workspaces: [],
    scripts: {
        start: 'react-scripts start',
        build: 'react-scripts build',
        test: 'react-scripts test',
        eject: 'react-scripts eject',
        lint: 'monoreact lint',
        stylelint: 'stylelint "src/**/*.{css,sass,scss}"'
    },
    dependencies: {
        react: '^17.0.2',
        'react-dom': '^17.0.2',
        'react-scripts': '5.0.0'
    },
    devDependencies: {
        monoreact: 'latest',
        '@testing-library/jest-dom': '^5.16.1',
        '@testing-library/react': '^12.1.2',
        '@testing-library/user-event': '^13.5.0',
        'web-vitals': '^2.1.2',
        '@types/jest': '^27.0.3',
        '@types/react': '^17.0.37',
        '@types/react-dom': '^17.0.11',
        '@types/node': package_json_1.default.devDependencies['@types/node'],
        '@typescript-eslint/eslint-plugin': '5.7.0',
        '@typescript-eslint/parser': '5.7.0',
        'eslint-config-prettier': package_json_1.default.dependencies['eslint-config-prettier'],
        'eslint-config-react-app': package_json_1.default.dependencies['eslint-config-react-app'],
        'eslint-plugin-prettier': package_json_1.default.dependencies['eslint-plugin-prettier'],
        'eslint-plugin-promise': '5.2.0',
        'eslint-plugin-react': package_json_1.default.dependencies['eslint-plugin-react'],
        'eslint-plugin-react-hooks': package_json_1.default.dependencies['eslint-plugin-react-hooks'],
        'eslint-plugin-import': package_json_1.default.dependencies['eslint-plugin-import'],
        'eslint-plugin-sonarjs': '0.11.0',
        'eslint-plugin-jsx-a11y': package_json_1.default.dependencies['eslint-plugin-jsx-a11y'],
        husky: '4.3.8',
        'lint-staged': '12.1.2',
        prettier: '2.5.1',
        stylelint: '14.1.0',
        'stylelint-config-recommended': '3.0.0',
        tslib: package_json_1.default.dependencies.tslib,
        typescript: package_json_1.default.dependencies.typescript,
        yarn: package_json_1.default.devDependencies.yarn
    },
    browserslist: {
        production: ['>0.2%', 'not dead', 'not op_mini all'],
        development: ['last 1 chrome version', 'last 1 firefox version', 'last 1 safari version']
    }
};
