"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateMessage = void 0;
var utils_1 = require("../utils");
exports.generateMessage = {
    copy: function (name) { return "".concat(name, "-copy"); },
    successful: function (name) { return "Generated ".concat(utils_1.color.info(name), " package"); },
    generating: function (name) { return "Generating ".concat(utils_1.color.info(name), " package..."); },
    failed: function (name) { return "Failed to generate ".concat(utils_1.color.error(name), " package"); },
    successfulConfigure: function () { return 'The package successfully configured'; },
    failedConfigure: function () { return "Failed to fully configure the package"; },
    invalidTemplate: function (template) { return "Invalid template ".concat(utils_1.color.error(template)); },
    exists: function (name) {
        return "A folder named ".concat(utils_1.color.error(name), " already exists! ").concat(utils_1.color.bold('Choose a different name'));
    },
    preparingPackage: function (name, dependencies) {
        var pkgText = dependencies.map(function (pkg) { return "     ".concat(utils_1.color.info(pkg)); }).join('\n');
        var requiredText = "Preparing ".concat(utils_1.color.info(name), " package");
        return dependencies.length > 0
            ? "".concat(requiredText, " with the following peer dependencies: \n").concat(pkgText, "\n")
            : requiredText;
    },
    preparedPackage: function (projectName) {
        var commands = {
            install: 'monoreact install',
            start: 'monoreact watch',
            build: 'monoreact build',
            test: 'monoreact test'
        };
        return "\n  ".concat(utils_1.color.success('Awesome!'), " You're now ready to start coding.\n  \n  There is no need to run ").concat(utils_1.color.info(commands.install), ", since all peer dependencies are already in the workspace root\n  \n  So your next steps are:\n    ").concat(utils_1.color.info("cd packages/".concat(projectName)), "\n  \n  To start developing (rebuilds the bundle on changes):\n    ").concat(utils_1.color.info(commands.start), "\n  \n  To build the bundle:\n    ").concat(utils_1.color.info(commands.build), "\n    \n  To test the package:\n    ").concat(utils_1.color.info(commands.test), "\n    \n  ").concat(utils_1.color.highlight('Happy coding :)'), "\n  ");
    }
};
