"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.newMessage = void 0;
var utils_1 = require("../utils");
exports.newMessage = {
    changeFolder: function () { return "Yes, let's choose another project name"; },
    leaveCurrentFolder: function () { return 'No, I want to create a project in this folder (without overwriting)'; },
    initial: function (name) { return name; },
    existsPrompt: function (dir) {
        return "The folder at ".concat(utils_1.color.error(dir), " already exists! ").concat(utils_1.color.bold('Choose a different name'));
    },
    failedPreparation: function () { return utils_1.color.error('A preparation error has occurred'); },
    preparing: function () { return "".concat(utils_1.color.info('Preparation in progress'), ": installing dependencies, processing files"); },
    prepared: function () { return utils_1.color.success('Preparation completed successfully'); },
    creating: function (dir) { return "Creating React project at ".concat(utils_1.color.info(dir)); },
    failed: function (name) { return "Failed to create ".concat(utils_1.color.error(name), " project"); },
    created: function (_a) {
        var name = _a.name, dir = _a.dir;
        return "".concat(utils_1.color.success('Success!'), " Created new ").concat(utils_1.color.info(name), " project at ").concat(utils_1.color.info(dir));
    },
    finish: function (dir) { return "\n  ".concat(utils_1.color.success('Awesome!'), " You're now ready to start coding\n  \n  You might begin with:\n  ").concat(utils_1.color.info('cd'), " ").concat(utils_1.color.bold(dir), "\n  ").concat(utils_1.color.info('yarn start'), "\n  \n  ").concat(utils_1.color.info('yarn start'), "\n    Starts the development server\n  \n  ").concat(utils_1.color.info('yarn build'), "\n    Bundles the app into static files for production\n    \n  ").concat(utils_1.color.info('yarn test'), "\n    Starts the test runner\n    \n  ").concat(utils_1.color.info('yarn eject'), "\n    Removes this tool and copies build dependencies, configuration files and scripts into the app directory\n    \n  ").concat(utils_1.color.info('yarn lint'), " / ").concat(utils_1.color.info('yarn stylelint'), "\n    Runs lint runners\n    \n  ").concat(utils_1.color.highlight('Happy coding :)'), "\n  "); }
};
