"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.workspacesMessage = void 0;
var tslib_1 = require("tslib");
var utils_1 = require("../utils");
var package_json_1 = (0, tslib_1.__importDefault)(require("../../../package.json"));
var startingTextByCommand = {
    build: 'Compiling',
    lint: 'Linting',
    watch: 'Start watching',
    test: 'Testing'
};
var finishingTextByCommand = {
    build: 'Compiled',
    lint: 'Linted',
    watch: 'Finished watching',
    test: 'Tested'
};
var testTextByCommand = {
    build: 'build',
    watch: 'build',
    lint: 'lint',
    test: 'test'
};
exports.workspacesMessage = {
    introduce: function () { return utils_1.color.underline("".concat(package_json_1.default.name, " v").concat(package_json_1.default.version)); },
    running: function (name) { return utils_1.color.details("Running ".concat(name)); },
    started: function (cmd) { return "\n".concat(utils_1.color.info("".concat(startingTextByCommand[cmd], " modules..."))); },
    finished: function (cmd, name) { return utils_1.color.success("".concat(finishingTextByCommand[cmd], " ").concat(name)); },
    failed: function (cmd) { return utils_1.color.error("Failed to ".concat(testTextByCommand[cmd], " workspaces")); },
    successful: function (_a) {
        var _b = (0, tslib_1.__read)(_a, 2), s = _b[0], ms = _b[1];
        return utils_1.color.success('Done in ') + utils_1.color.highlight("".concat(s, ".").concat(ms.toString().slice(0, 3), "s."));
    }
};
