"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteNpmAuthorName = exports.getNpmAuthorName = exports.setNpmAuthorName = void 0;
var shelljs_1 = require("shelljs");
function setNpmAuthorName(author) {
    (0, shelljs_1.exec)("npm config set init-author-name \"".concat(author, "\""), { silent: true });
}
exports.setNpmAuthorName = setNpmAuthorName;
function getNpmAuthorName() {
    var npmNameAuthor = (0, shelljs_1.exec)('npm config get init-author-name', {
        silent: true
    }).stdout.trim();
    if (npmNameAuthor) {
        return npmNameAuthor;
    }
    var gitNameAuthor = (0, shelljs_1.exec)('git config user.name', { silent: true }).stdout.trim();
    if (gitNameAuthor) {
        setNpmAuthorName(gitNameAuthor);
        return gitNameAuthor;
    }
    var npmEmailAuthor = (0, shelljs_1.exec)('npm config get init-author-email', {
        silent: true
    }).stdout.trim();
    if (npmEmailAuthor) {
        return npmEmailAuthor;
    }
    var gitEmailAuthor = (0, shelljs_1.exec)('git config user.email', { silent: true }).stdout.trim();
    if (gitEmailAuthor) {
        return gitEmailAuthor;
    }
    return null;
}
exports.getNpmAuthorName = getNpmAuthorName;
function deleteNpmAuthorName(author) {
    (0, shelljs_1.exec)("npm config delete \"".concat(author, "\""), { silent: true });
}
exports.deleteNpmAuthorName = deleteNpmAuthorName;
